
mutation createVendorBenefitPlan(
  $vendorId: UUID!
  $title: String!
  $description: String
  $requestLabel: String
  $total: Int
  $isActive: Boolean
  $createdBy: String
) @auth(level: USER) {
  vendorBenefitPlan_insert(
    data: {
      vendorId: $vendorId
      title: $title
      description: $description
      requestLabel: $requestLabel
      total: $total
      isActive: $isActive
    }
  )
}

mutation updateVendorBenefitPlan(
  $id: UUID!
  $vendorId: UUID
  $title: String
  $description: String
  $requestLabel: String
  $total: Int
  $isActive: Boolean
  $createdBy: String
) @auth(level: USER) {
  vendorBenefitPlan_update(
    id: $id
    data: {
      vendorId: $vendorId
      title: $title
      description: $description
      requestLabel: $requestLabel
      total: $total
      isActive: $isActive
    }
  )
}

mutation deleteVendorBenefitPlan($id: UUID!) @auth(level: USER) {
  vendorBenefitPlan_delete(id: $id)
}
